<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\ProductModel;

class ModelController extends Controller
{
    public function index()
    {
        try {
            $products = ProductModel::with('categories')->get();
            
            return response()->json([
                'success' => true,
                'data' => $products,
            ], 200);
        } catch (\Exception $exception) {
            return response()->json([
                'success' => false,
                'message' => 'Failed to retrieve products: ' . $exception->getMessage(),
            ], 500);
        }
    }
}
