<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Warranty;

class WarrantyController extends Controller
{
    public function add(Request $request)
    {
        // Validate incoming request
        $request->validate([
            'serial_no' => 'required',
            'purchased_date' => 'required|date',
            'category_id' => 'required|exists:categories,id',
            'product_model_id' => 'required|exists:product_models,id',
            'invoice' => 'required|file|mimes:pdf|max:2048', // Adjust max file size as needed
        ]);

        // Handle file upload
        $file = $request->file('invoice');
        $fileName = time().'_'.$file->getClientOriginalName();
        $filePath = $file->storeAs('invoices', $fileName);

        // Create a new Warranty instance
        $warranty = new Warranty();
        
        // Assign values from the request
        $warranty->serial_no = $request->serial_no;
        $warranty->purchased_date = $request->purchased_date;
        $warranty->category_id = $request->category_id;
        $warranty->product_model_id = $request->product_model_id;
        $warranty->invoice = $filePath; // Store file path or name in the database

        // Save the warranty
        $warranty->save();

        // Return a response
        return response()->json(['message' => 'Warranty created successfully', 'data' => $warranty], 201);
    }
}
