<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Validator,Redirect,Response,Session,Log;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
Use App\Models\User;
use App\Http\Requests\LoginUserRequest;


class AuthController extends Controller
{
    protected $user;

    public function __construct(User $_user) {
        $this->user = $_user;
    }

    public function index()
    {
        return view('auth.login');
    }

    public function loginAccess(LoginUserRequest $request) {
        $credentials = $request->only('email', 'password');
    
        // Retrieve user by email
        $user = User::where('email', $credentials['email'])->first();
    
        // Check if user exists and password matches (plain text comparison)
        if ($user && $user->password === $credentials['password']) {
            // Authentication passed...
            Auth::login($user);
            return redirect()->route('dashboard');
        }
    
        // If user doesn't exist or password doesn't match, return with error
        Log::debug("Failed: Invalid Credentials, Please check Email and Password.");
        return redirect()->back()->with('failed', 'Invalid Credentials, Please check Email and Password.');

    }
    
    
    public function signout() {
        Session::flush();
        Auth::logout();
        return redirect()->route('login');
    }
}
