<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\NotificationModel as Notification;


class NotificationController extends Controller
{
    public function index(){

        $notification = Notification::all();
        return view('admin.notifications.index',compact('notification'));
    }    
    public function addNotification(){

        return view('admin.notifications.add');
    }
    public function saveNotification(Request $request){
        request()->validate([
            'title'  =>  'required|string|max:255',
        ]);
        try {
                $notification = Notification::create([
                    'title' => $request->title,
                    'description' => $request->description,
                ]);
                if ($notification) {
                    return redirect()->back()->with('success', 'Successfully saved notification');
                } else {
                    return redirect()->back()->with('failed', 'Failed to save notification');
                }
        } catch (\Exception $exception) {
            return redirect()->back()->with('error', 'Oops, an error occurred: ' . $exception->getMessage());
        }

    }
}
