<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
Use App\Models\TermsModel as Terms;

class TermsController extends Controller
{
    public function index(){
        $terms = Terms::first();
        return view('admin.terms.index',compact('terms'));
    }

    public function addTerm(){

        return view('admin.terms.add');
    }

    public function saveTerm(Request $request){
        request()->validate([
            'title'  =>  'required|string|max:255',
        ]);
        try {
                $terms = Terms::create([
                    'title' => $request->title,
                    'description' => $request->description,
                ]);
                if ($terms) {
                    return redirect()->back()->with('success', 'Successfully saved terms');
                } else {
                    return redirect()->back()->with('failed', 'Failed to save terms');
                }
        } catch (\Exception $exception) {
            return redirect()->back()->with('error', 'Oops, an error occurred: ' . $exception->getMessage());
        }
    
    }

    public function update(Request $request)
    {
    $terms = Terms::where('id', $request->id)->first();
    $terms_update = Terms::where('id', $terms->id)->update([
        'title'=>$request->title, 
        'description'=>$request->description,
    ]);
    if($terms_update > 0):
    return redirect()->route('terms')->with('success','Successfully updated Terms and Condition Details');
    else:
        return redirect()->back()->with('failed','Failed to Update Terms and Condition details');
    endif;
    }
}
