<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Category;
use App\Models\Warranty;


class ProductModel extends Model
{
    use HasFactory;
    use SoftDeletes;

    protected $table = "product_models";
    protected $fillable = [
        'product_model','category_id'
    ];
    public function categories(){
        return $this->belongsTo(Category::class,'category_id','id');
    } 
    public function warranties()
    {
        return $this->hasMany(Warranty::class);
    }
}
