@extends('layouts.app.master')
@section('title', 'Dashboard')


@section('content')

<h2 class="customer-listing">Manage Banners</h2>
<div class="card card-p-0 card-flush card-customer-table">


    <div class="card-header align-items-center py-5 gap-2 gap-md-5">
        <div class="card-title">
            <!--begin::Search-->
            <div class="d-flex align-items-center position-relative my-1">
                <img src="assets/images/search.svg" class="serch-btn"><input type="text" data-kt-filter="search"
                    class="form-control form-control-solid w-250px ps-14" placeholder="Search Keyword">


            </div>
            <!--end::Search-->
            <!--begin::Export buttons-->
            <div id="kt_datatable_example_1_export" class="d-none"></div>
            <!--end::Export buttons-->
        </div>
        <div class="card-toolbar flex-row-fluid justify-content-end gap-5">
            <!--begin::Export dropdown-->

            <!--begin::Menu-->
            <div id="kt_datatable_example_export_menu"
                class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-200px py-4"
                data-kt-menu="true">
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="copy">
                        Copy to clipboard
                    </a>
                </div>
                <!--end::Menu item-->
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="excel">
                        Export as Excel
                    </a>
                </div>
                <!--end::Menu item-->
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="csv">
                        Export as CSV
                    </a>
                </div>
                <!--end::Menu item-->
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="pdf">
                        Export as PDF
                    </a>
                </div>
                <!--end::Menu item-->
            </div>
            <!--end::Menu-->
            <!--end::Export dropdown-->

            <!--begin::Hide default export buttons-->
            <div id="kt_datatable_example_buttons" class="">
                <button type="button" class="add-banner-btn">
                    <a href="{{route('add.banner')}}"> ADD BANNER</a>
                </button>
            </div>

        </div>
    </div>
    <div class="card-body">
        <table class="table align-middle table-row-dashed fs-6 g-5" id="kt_datatable_example">
            <thead>
                <!--begin::Table row-->
                <tr class="text-start text-white-500 fw-bold fs-7 text-uppercase th-customer">
                    <th class="min-w-50px">S.No</th>
                    <th class="min-w-50px">Banner image</th>
                    <th class="min-w-80px">Banner Title</th>
                    <th class="min-w-50px">Date & Time</th>
                    <th class="min-w-80px">ACTION</th>
                </tr>
                <!--end::Table row-->
            </thead>
            <tbody class="fw-semibold text-gray-600">
              @foreach($banner as $item)

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">{{ $item->id }} </a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary"><img src="{{ asset($item->image) }}" alt="Banner Image" width="100" class ="banner-image-round"></a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">{{ $item->title }}</a>
                    </td>
                    <td>
                        <div class="">{{ $item->created_at}}</div>
                    </td>

                    <td class="text-center">


                            <button type="button" class="btn-edit" onclick="window.location.href='{{ route('edit.banner', ['id' => $item->id]) }}'">
                                <img src="assets/images/edit-btn.svg" alt="Edit">
                            </button>                            

                            <form id="deleteForm{{ $item->id }}" action="{{ route('delete.banner', ['id' => $item->id]) }}" method="post" style="display: inline;">
                                @csrf
                                @method('delete')
                                <button type="submit" class="btn-edit" onclick="return confirm('Are you sure you want to delete this banner?')"><img src="assets/images/delete.svg" alt="Delete"></button>
                            </form>

                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
@endsection