@extends('layouts.app.master')
@section('title', 'Dashboard')


@section('content')

<h2 class="customer-listing">Customer Listing</h2>
<div class="card card-p-0 card-flush card-customer-table">


    <div class="card-header align-items-center py-5 gap-2 gap-md-5">
        <div class="card-title">
            <!--begin::Search-->
            <div class="d-flex align-items-center position-relative my-1">
                <img src="assets/images/search.svg" class="serch-btn"><input type="text" data-kt-filter="search"
                    class="form-control form-control-solid w-250px ps-14" placeholder="Search Keyword">
            </div>
            <!--end::Search-->
            <!--begin::Export buttons-->
            <div id="kt_datatable_example_1_export" class="d-none"></div>
            <!--end::Export buttons-->
        </div>
        <div class="card-toolbar flex-row-fluid justify-content-end gap-5">
            <!--begin::Export dropdown-->

            <!--begin::Menu-->
            <div id="kt_datatable_example_export_menu"
                class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-200px py-4"
                data-kt-menu="true">
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="copy">
                        Copy to clipboard
                    </a>
                </div>
                <!--end::Menu item-->
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="excel">
                        Export as Excel
                    </a>
                </div>
                <!--end::Menu item-->
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="csv">
                        Export as CSV
                    </a>
                </div>
                <!--end::Menu item-->
                <!--begin::Menu item-->
                <div class="menu-item px-3">
                    <a href="#" class="menu-link px-3" data-kt-export="pdf">
                        Export as PDF
                    </a>
                </div>
                <!--end::Menu item-->
            </div>
            <!--end::Menu-->
            <!--end::Export dropdown-->

            <!--begin::Hide default export buttons-->
            <div id="kt_datatable_example_buttons" class="d-none"></div>

        </div>
    </div>
    <div class="card-body">
        <table class="table align-middle table-row-dashed fs-6 g-5" id="kt_datatable_example">
            <thead>
                <!--begin::Table row-->
                <tr class="text-start text-white-500 fw-bold fs-7 text-uppercase th-customer">
                    <th class="min-w-50px">S.No</th>
                    <th class="min-w-50px">Customer Name</th>
                    <th class="min-w-80px">Mobile Number </th>
                    <th class="min-w-50px">EMAIL ID</th>
                    <th class="min-w-50px">Active Request</th>
                    <th class="min-w-80px">ACTION</th>
                </tr>
                <!--end::Table row-->
            </thead>
            <tbody class="fw-semibold text-gray-600">
                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">1 </a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>


                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">2 </a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->

                        <div class="modal fade" tabindex="-1" id="kt_modal_3">
                            <div class="modal-dialog">
                                <div class="modal-content position-absolute">
                                    <div class="modal-header" style="border-bottom: 0;">
                                        <h5 class="modal-title">Modal title</h5>

                                        <!--begin::Close-->
                                        <div class="btn btn-icon btn-sm btn-active-light-primary ms-2"
                                            data-bs-dismiss="modal" aria-label="Close">
                                            <i class="ki-duotone ki-cross fs-2x"><span class="path1"></span><span
                                                    class="path2"></span></i>
                                        </div>
                                        <!--end::Close-->
                                    </div>

                                    <div class="modal-body">
                                        <p>Modal body text goes here.</p>
                                    </div>

                                    <div class="modal-footer" style="border-top: 0;">
                                        <button type="button" class="btn btn-light"
                                            data-bs-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">3 </a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->

                        <div class="modal fade" tabindex="-1" id="kt_modal_3">
                            <div class="modal-dialog">
                                <div class="modal-content position-absolute">
                                    <div class="modal-header" style="border-bottom: 0;">
                                        <h5 class="modal-title">Modal title</h5>

                                        <!--begin::Close-->
                                        <div class="btn btn-icon btn-sm btn-active-light-primary ms-2"
                                            data-bs-dismiss="modal" aria-label="Close">
                                            <i class="ki-duotone ki-cross fs-2x"><span class="path1"></span><span
                                                    class="path2"></span></i>
                                        </div>
                                        <!--end::Close-->
                                    </div>

                                    <div class="modal-body">
                                        <p>Modal body text goes here.</p>
                                    </div>

                                    <div class="modal-footer" style="border-top: 0;">
                                        <button type="button" class="btn btn-light"
                                            data-bs-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">4 </a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->

                        <div class="modal fade" tabindex="-1" id="kt_modal_3">
                            <div class="modal-dialog">
                                <div class="modal-content position-absolute">
                                    <div class="modal-header" style="border-bottom: 0;">
                                        <h5 class="modal-title">Modal title</h5>

                                        <!--begin::Close-->
                                        <div class="btn btn-icon btn-sm btn-active-light-primary ms-2"
                                            data-bs-dismiss="modal" aria-label="Close">
                                            <i class="ki-duotone ki-cross fs-2x"><span class="path1"></span><span
                                                    class="path2"></span></i>
                                        </div>
                                        <!--end::Close-->
                                    </div>

                                    <div class="modal-body">
                                        <p>Modal body text goes here.</p>
                                    </div>

                                    <div class="modal-footer" style=" border-top: 0;">
                                        <button type="button" class="btn btn-light"
                                            data-bs-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- end modal -->

                    </td>
                </tr>


                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">5</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->

                        <div class="modal fade" tabindex="-1" id="kt_modal_3">
                            <div class="modal-dialog">
                                <div class="modal-content position-absolute">
                                    <div class="modal-header" style="border-bottom: 0 !important;">
                                        <h5 class="modal-title">Modal title</h5>

                                        <!--begin::Close-->
                                        <div class="btn btn-icon btn-sm btn-active-light-primary ms-2"
                                            data-bs-dismiss="modal" aria-label="Close">
                                            <i class="ki-duotone ki-cross fs-2x"><span class="path1"></span><span
                                                    class="path2"></span></i>
                                        </div>
                                        <!--end::Close-->
                                    </div>

                                    <div class="modal-body">
                                        <p>Modal body text goes here.</p>
                                    </div>

                                    <div class="modal-footer" style="border-top: 0!important;">
                                        <button type="button" class="btn btn-light"
                                            data-bs-dismiss="modal">Close</button>
                                        <button type="button" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">6</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->


                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">7</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->



                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">8</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->



                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">9</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->



                        <!-- end modal -->

                    </td>
                </tr>

                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">10</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->



                        <!-- end modal -->

                    </td>
                </tr>


                <tr class="odd">
                    <td><a href="#" class="text-gray-900 text-hover-primary">11</a></td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">Emma Smith</a>
                    </td>
                    <td>
                        <a href="#" class="text-gray-900 text-hover-primary">9131352945</a>
                    </td>
                    <td>
                        <div class="">e.smith@kpmg.com.au</div>
                    </td>
                    <td>2</td>
                    <td class="text-end pe-0 actions-btns">
                        <button type="button" class="btn-view-more" data-bs-toggle="modal" data-bs-target="#kt_modal_3">
                            View More
                        </button>

                        <button type="button" class="btn-edit"> <img src="assets/images/edit-btn.svg"></button>
                        <button type="button" class="btn-edit"> <img src="assets/images/delete.svg"></button>
                        <!-- modal pop up -->
                        <!-- view model start here -->

                        <!-- end view modal -->
                        <!-- end modal -->

                    </td>
                </tr>

                <!-- modal pop up -->

                <div class="modal fade" tabindex="-1" id="kt_modal_3">
                    <div class="modal-dialog">
                        <div class="modal-content position-absolute model-view-more">
                            <div class="modal-header" style="border-bottom: 0;">
                                <h5 class="modal-title">Ravi Kumar</h5>
                                <br>


                                <!--begin::Close-->
                                <div class="btn btn-icon btn-sm btn-active-light-primary ms-2" data-bs-dismiss="modal"
                                    aria-label="Close">
                                    <img src="assets/images/close.svg" class="close-icon">

                                    <!--end::Close-->
                                </div>
                            </div>
                            <div class="sub-heading-text">
                                <p> 91 7767 7856 | Ravi77@gmail.com </p>
                            </div>

                            <div class="modal-body">
                                <h6 class="heading-modal"> Request History
                                </h6>
                                <p>
                                </p>
                                <div class="crad history">
                                    <p class="Extend-pera"> <b>AC </b><span class="Extend Warranty ">AMC Extend
                                            Warranty </span></p>
                                    <div class="row">
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Product Category </h6>
                                            <p class="text-cat-Details">VY78787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Serial No. </h6>
                                            <p class="text-cat-Details">898787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Date &amp; Time </h6>
                                            <p class="text-cat-Details">20-04-2024 4:49 PM </p>
                                        </div>
                                        <div class="col-lg-3">
                                            <a href="#" class="btn-arrow">

                                                <img src="assets/images/right-more-arrow.svg"
                                                    class="arrow-view-more-btn">
                                            </a>

                                        </div>
                                    </div>

                                </div>
                                <div class="crad history mt-2">
                                    <p class="Extend-pera"> <b>AC </b><span class="Extend Warranty ">AMC Extend
                                            Warranty </span></p>
                                    <div class="row">
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Product Category </h6>
                                            <p class="text-cat-Details">VY78787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Serial No. </h6>
                                            <p class="text-cat-Details">898787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Date &amp; Time </h6>
                                            <p class="text-cat-Details">20-04-2024 4:49 PM </p>
                                        </div>
                                        <div class="col-lg-3">
                                            <a href="#" class="btn-arrow">

                                                <img src="assets/images/right-more-arrow.svg"
                                                    class="arrow-view-more-btn">
                                            </a>

                                        </div>
                                    </div>

                                </div>
                                <div class="crad history mt-2">
                                    <p class="Extend-pera"> <b>AC </b><span class="Extend Warranty ">AMC Extend
                                            Warranty </span></p>
                                    <div class="row">
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Product Category </h6>
                                            <p class="text-cat-Details">VY78787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Serial No. </h6>
                                            <p class="text-cat-Details">898787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Date &amp; Time </h6>
                                            <p class="text-cat-Details">20-04-2024 4:49 PM </p>
                                        </div>
                                        <div class="col-lg-3">
                                            <a href="#" class="btn-arrow">

                                                <img src="assets/images/right-more-arrow.svg"
                                                    class="arrow-view-more-btn">
                                            </a>

                                        </div>
                                    </div>

                                </div>
                                <div class="crad history mt-2">
                                    <p class="Extend-pera"> <b>AC </b><span class="Extend Warranty ">AMC Extend
                                            Warranty </span></p>
                                    <div class="row">
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Product Category </h6>
                                            <p class="text-cat-Details">VY78787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Serial No. </h6>
                                            <p class="text-cat-Details">898787878</p>
                                        </div>
                                        <div class="col-lg-3">
                                            <h6 class="text-cat"> Date &amp; Time </h6>
                                            <p class="text-cat-Details">20-04-2024 4:49 PM </p>
                                        </div>
                                        <div class="col-lg-3">
                                            <a href="#" class="btn-arrow">

                                                <img src="assets/images/right-more-arrow.svg"
                                                    class="arrow-view-more-btn">
                                            </a>

                                        </div>
                                    </div>

                                </div>
                            </div>


                        </div>
                    </div>
                </div>

                <!-- end modal -->

            </tbody>
        </table>
    </div>
</div>
@endsection